Package org.apache.ignite.internal.management.cdc

## Class CdcDeleteLostSegmentsTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<CdcDeleteLostSegmentLinksCommandArg,​Void,​Void>
  - - org.apache.ignite.internal.management.cdc.CdcDeleteLostSegmentsTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<CdcDeleteLostSegmentLinksCommandArg>,​VisorTaskResult<Void>>`

    @GridInternal
    public class CdcDeleteLostSegmentsTask
    extends VisorMultiNodeTask<CdcDeleteLostSegmentLinksCommandArg,​Void,​Void>

Task to delete lost segment CDC links.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`CdcDeleteLostSegmentsTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<CdcDeleteLostSegmentLinksCommandArg,​Void>` `job​(CdcDeleteLostSegmentLinksCommandArg arg)`
`protected @Nullable Void` `reduce0​(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CdcDeleteLostSegmentsTask

    public CdcDeleteLostSegmentsTask()

### Method Detail

#### job

    protected VisorJob<CdcDeleteLostSegmentLinksCommandArg,​Void> job​(CdcDeleteLostSegmentLinksCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<CdcDeleteLostSegmentLinksCommandArg,​Void,​Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable Void reduce0​(List<ComputeJobResult> results)
                              throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<CdcDeleteLostSegmentLinksCommandArg,​Void,​Void>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.